### Virtual Method

# RB SourceSearch create_query

#### Declaration [src]

    RhythmDBQuery*
    create_query (
      RBSourceSearch* search,
      RhythmDB* db,
      const char* search_text
    )

#### Description [src]

Creates a `RhythmDBQuery` from the user’s search text.

#### Parameters

`db`

  Type: `RhythmDB`

  The `RhythmDB`.

  The data is owned by the caller of the method.

`search_text`

  Type: `const char*`

  The search text.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `RhythmDBQuery`

`RhythmDBQuery` for the source to use.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.